AstrologyAPI

Use access token to call astrology api.

Learn More

Basic Ashtakvarga

POSThttps://json.astrologyapi.com/v1/planet_ashtak/:planet_name
Copy

The API planet_ashtak/:planet_name takes a planet name as input and returns the ashtak varga type, planet name, sign, and sign ID along with the ashtak points of each zodiac sign. The response includes the number of points each planet has in each sign and the total number of points in each sign.

POST/planet_ashtak/:planet_name
Copy
1curl --location 'https://json.astrologyapi.com/v1/planet_ashtak/:planet_name' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1{
2  "ashtak_varga": {
3    "type": "Bhinnashtak",
4    "planet": "Sun",
5    "sign": "virgo",
6    "sign_id": 6
7  },
8  "ashtak_points": {
9    "aries": {
10      "sun": 0,
11      "moon": 0,
12      "mars": 1,
13      "mercury": 0,
14      "jupiter": 0,
15      "venus": 0,
16      "saturn": 0,
17      "ascendant": 0,
18      "total": 1
19    },
20    "taurus": {
21      "sun": 1,
22      "moon": 1,
23      "mars": 0,
24      "mercury": 1,
25      "jupiter": 1,
26      "venus": 0,
27      "saturn": 1,
28      "ascendant": 1,
29      "total": 6
30    },
31    "gemini": {
32      "sun": 0,
33      "moon": 0,
34      "mars": 1,
35      "mercury": 1,
36      "jupiter": 0,
37      "venus": 0,
38      "saturn": 1,
39      "ascendant": 1,
40      "total": 4
41    },
42    "cancer": {
43      "sun": 0,
44      "moon": 0,
45      "mars": 0,
46      "mercury": 0,
47      "jupiter": 0,
48      "venus": 0,
49      "saturn": 1,
50      "ascendant": 1,
51      "total": 2
52    },
53    "leo": {
54      "sun": 1,
55      "moon": 1,
56      "mars": 0,
57      "mercury": 0,
58      "jupiter": 0,
59      "venus": 1,
60      "saturn": 1,
61      "ascendant": 0,
62      "total": 4
63    },
64    "virgo": {
65      "sun": 1,
66      "moon": 0,
67      "mars": 1,
68      "mercury": 1,
69      "jupiter": 0,
70      "venus": 1,
71      "saturn": 1,
72      "ascendant": 0,
73      "total": 5
74    },
75    "libra": {
76      "sun": 1,
77      "moon": 0,
78      "mars": 1,
79      "mercury": 1,
80      "jupiter": 0,
81      "venus": 0,
82      "saturn": 0,
83      "ascendant": 1,
84      "total": 4
85    },
86    "scorpio": {
87      "sun": 1,
88      "moon": 0,
89      "mars": 1,
90      "mercury": 1,
91      "jupiter": 1,
92      "venus": 0,
93      "saturn": 1,
94      "ascendant": 1,
95      "total": 6
96    },
97    "sagittarius": {
98      "sun": 1,
99      "moon": 1,
100      "mars": 1,
101      "mercury": 1,
102      "jupiter": 1,
103      "venus": 0,
104      "saturn": 1,
105      "ascendant": 0,
106      "total": 6
107    },
108    "capricorn": {
109      "sun": 0,
110      "moon": 1,
111      "mars": 1,
112      "mercury": 0,
113      "jupiter": 0,
114      "venus": 0,
115      "saturn": 0,
116      "ascendant": 1,
117      "total": 3
118    },
119    "aquarius": {
120      "sun": 1,
121      "moon": 0,
122      "mars": 0,
123      "mercury": 0,
124      "jupiter": 0,
125      "venus": 1,
126      "saturn": 1,
127      "ascendant": 0,
128      "total": 3
129    },
130    "pisces": {
131      "sun": 1,
132      "moon": 0,
133      "mars": 1,
134      "mercury": 1,
135      "jupiter": 1,
136      "venus": 0,
137      "saturn": 0,
138      "ascendant": 0,
139      "total": 4
140    }
141  }
142}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Path Parameters

planet_name

string

required

Planet Name, eg: sun, moon

Properties

sunmoonmarsmercuryjupitervenussaturnrahuketuascendant

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.